#ifndef _MQTT_H
#define	_MQTT_H

#define STATUS_CONNECTING 0
#define STATUS_CONNACK_RECVD 1
#define STATUS_WAITING 2


/**
 * @brief Publish MQTT message.
 * @param topic The topic part of the message.
 * @param payload The payload part of the message.
 */
void mqtt_publish(char *topic, char *payload);

/**
 * @brief Connect to the MQTT server.
 * @return 0 if success, else the connection failed.
 */
int mqtt_connect(void);

/**
 * @brief Disconnect from the MQTT server.
 */
void mqtt_disconnect(void);

#endif
